Data Fields

# CallInfo Struct Reference

`#include <lua/lstate.h>`

Collaboration diagram for CallInfo:
[legend]

## Data Fields
StkId | base
StkId | func
StkId | top
const Instruction * | savedpc
int | nresults
int | tailcalls

## Detailed Description

Definition at line 48 of file lstate.h.

## Field Documentation

StkId CallInfo::base

Definition at line 49 of file lstate.h.

Referenced by correctstack(), findlocal(), isinstack(), lua_close(), lua_getlocal(), lua_setlocal(), luaD_pcall(), luaD_precall(), luaV_execute(), resetstack(), resume(), resume_error(), and stack_init().

StkId CallInfo::func

Definition at line 50 of file lstate.h.

Referenced by correctstack(), lua_getinfo(), luaD_poscall(), luaD_precall(), luaV_execute(), and stack_init().

int CallInfo::nresults

Definition at line 53 of file lstate.h.

Referenced by luaD_poscall(), and luaD_precall().

const Instruction* CallInfo::savedpc

Definition at line 52 of file lstate.h.

Referenced by currentpc(), luaD_pcall(), luaD_precall(), and luaV_execute().

int CallInfo::tailcalls

Definition at line 54 of file lstate.h.

Referenced by callrethooks(), getfuncname(), lua_getstack(), luaD_precall(), and luaV_execute().

StkId CallInfo::top

Definition at line 51 of file lstate.h.

Referenced by correctstack(), lua_checkstack(), lua_resume(), lua_xmove(), luaD_callhook(), luaD_precall(), luaV_execute(), resume(), stack_init(), and traversestack().

The documentation for this struct was generated from the following file:

- lua/lstate.h